<?php

  $groupes = array();
  $data = $this->data();

  if(
        $this->is_running("sources/album/view")
    ||  $this->is_running("sources/morceau/view")
    ||  $this->is_running("sources/piste/view")
  ){
    if($this->is_running("sources/album/view")) $groupes = $this->out["album"]["groupes"];
    if($this->is_running("sources/morceau/view")) $groupes = $this->out["morceau"]["groupes"];
    if($this->is_running("sources/piste/view")) $groupes = $this->out["piste"]["groupes"];
    foreach($groupes as $id_groupe => $groupe){
      if(
            ($groupe["id_groupe_status"] != $data->id_groupe_status_admin())
        &&  ($groupe["id_groupe_status"] != $data->id_groupe_status_editeur())
      ) unset($groupes[$id_groupe]);
    }
  }
  elseif($this->is_running("sources")){
    if(isset($this->out["groupe"])) $groupes = array($this->out["groupe"]["id"] => $this->out["groupe"]);
  }
  foreach($groupes as $groupe) :
  if(
        isset($groupe["image_uri"])
    &&  $groupe["image_uri"]
    &&  file_exists($groupe["image_uri"])
    &&  ($img_size = $data->img_size($groupe["image_uri"], 200, 130)) !== false
  ) :
  $margin_top = floor((150 - $img_size["height"]) / 2);

?>
<div class="logo_groupe">
  <a href="<?php echo $this->url("sources/groupe/view", array("id" => $groupe["id"])) ?>">
    <img src="<?php echo $this->path("web").$groupe["image_uri"]; ?>"
         width="<?php echo $img_size["width"] ?>"
         height="<?php echo $img_size["height"] ?>"
         style="margin-top:<?php echo $margin_top ?>px"
         alt="" />
    <span><?php echo $groupe["nom"]; ?></span>
  </a>
</div>
<?php endif; ?>
<?php endforeach; ?>
